@charset "UTF-8";
/* CSS Document */

:root {
    --debug-border-size: 0px;
}

html,
body {
    margin: 0;
    padding: 0;
}

html,
body,
* {
    box-sizing: border-box;
}

header {
    height: 10px;
    width: 100%;
    border: var(--debug-border-size) solid black;
}

#logo {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100px;
    margin: 10px;
    img {
        height: 80px;
        border: var(--debug-border-size) solid red;
    }
}

#content {
    font: 1em Arial, Helvetica, sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
    min-height: 80vh;
    /* max-width: 1000px; */
    width: 1000px;
    border: var(--debug-border-size) solid orange;
    margin: 0 auto;

    #share {
        width: 50%;
        max-width: 500px;
        border: var(--debug-border-size) solid blue;
        text-align: center;

        img {
            width: 100%;
            border: var(--debug-border-size) solid green;
            display: block;
        }
    }

    #share-form {
        text-align: left;
    }
    
    #error-message {
        color: #ff0000;
        font-weight: bold;
    }

    #steps {
        border: var(--debug-border-size) solid purple;
        display: inline-block;
        height: 100vh;
        width: 25%;
        background-color: rgb(246, 246, 246);
        padding: 0 10px;

        #steps-header {
            height: 100px;
            margin-bottom: 15px;
            border: var(--debug-border-size) solid pink;
        }

        #steps-title {
            display: none;
        }

        img {
            width: 80%;
            max-width: 250px;
            border: var(--debug-border-size) solid green;
            display: block;
            margin: 10px auto 0;
        }

        .step-number {
            font-weight: bolder;
            font-style: normal;
            color: rgb(0, 0, 0);
        }
    }
    #messages {
        border: var(--debug-border-size) solid yellow;
        display: inline-block;
        width: 75%;
        height: 100vh;
        position: relative;

        #messages-header {
            height: 100px;
            margin-left: 15px;
            margin-bottom: 15px;
            border: var(--debug-border-size) solid pink;
            position: relative;

            #messages-title,
            #messages-filter {
                display: inline-block;
            }
            #messages-title {
                border: var(--debug-border-size) solid salmon;
                position: absolute;
                bottom: 0;
            }
            #messages-filter {
                border: var(--debug-border-size) solid green;
                position: absolute;
                right: 0;
                bottom: 0;
                padding-bottom: 15px;

                #filter {
                    width: 300px;
                }

                #messages-filter-content {
                    border: var(--debug-border-size) solid brown;
                    /* width: 300px; */
                    text-align: left;
                    display: inline-block;
                }
            }
        }

        #message-shares {
            border: var(--debug-border-size) solid teal;
            position: relative;
            width: 100%;
            margin-left: 15px;

            #message-item {
                border: var(--debug-border-size) solid red;
                position: relative;
                display: inline-block;
                width: 24%;
                text-align: left;
                padding: 5px;
                margin-bottom: 25px;

                #message-item-title {
                    border: var(--debug-border-size) solid blue;
                    position: relative;
                    margin-bottom: 10px;
                    font-size: 1.5em !important;
                }
            }
            #message-item-content {
                border: var(--debug-border-size) solid green;
                position: relative;
                background-color: rgb(246, 246, 246);
                border-radius: 5px;
                font-size: 1em;
                padding: 5px;

                img {
                    width: 100%;
                }
            }
        }
    }
}

h2 {
    color: rgb(52, 115, 139);
}

#continue-button,
#copy-button {
    width: 100%;
    height: 2em;
    background-color: rgb(94, 168, 181);
    color: rgb(255, 255, 255);
    border: 0;
    border-radius: 5px;
    font-size: 1em;
}

#copy-button {
    margin: 5px 0 0;
}

.field-name {
    font-size: 0.8em;
    font-weight: bold;
}

input[type="text"],
select {
    width: 100%;
    border: 1px rgb(182, 187, 193) solid;
    border-radius: 5px;
    height: 2em;
    font-size: 1em;
}

select {
    background-color: rgb(255, 255, 255);
}

@media screen and (max-width: 440px) {
    #content {
        align-items: start;
        width: auto;
        display: block;
        #share {
            width: 100% !important;
            padding: 0 10px;
        }

        #steps {
            height: auto;
            background-color: #ffffff;
            display: block;
            width: 100%;
            padding: 0 15px;

            #steps-title {
                display: block !important;
            }
        }

        #messages {
            display: block;
            width: 100%;
            height: auto;
            padding: 0 15px;

            #messages-header {
                margin: 0 !important;
                height: auto !important;
            }

            #messages-title {
                display: none !important
            }

            #messages-filter {
                position: relative !important;
            }

            #message-shares {
                margin-left: 0px !important;

                #message-item {
                    width: 100% !important;

                    #message-item-content {
                        font-size: 1em !important;
                    }
                }
            }
        }
    }
}
